/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Interfaces;

import reservabuses.Conductor;
import reservabuses.EmpresaTuristica;
import reservabuses.Pasajero;

/**
 *
 * @author juaco
 */
public class SistemaReservas extends javax.swing.JFrame {
    Pasajero arregloPasajeros[];
    Conductor arregloConductores []; 
    EmpresaTuristica arregloEmpresaTuristica [];
    PasajeroGui PasajeroForm = new PasajeroGui();
    ConductorGui ConductorForm = new ConductorGui();
    EmpresaGui EmpresaForm = new EmpresaGui();
    ReservarGui reservasForm = new ReservarGui();
    BusGui busForm = new BusGui();
    /**
     * Creates new form EmpresaTuristica
     */
    public SistemaReservas() {
        initComponents();
        arregloPasajeros = new Pasajero[15];
        arregloConductores = new Conductor[5];
        arregloEmpresaTuristica = new EmpresaTuristica[3];
    }
    public void LlenarPasajero(){
        reservasForm.llenarComboPasajero(PasajeroForm.getPassengers());
        reservasForm.setVisible(true);
    
    }
    
//    public void LlenarConductores(){
//        reservasForm.llenarComboConductor(ConductorForm.getDrivers());
//        reservasForm.setVisible(true);
//    } 
    
    public void LlenarConductores2(){
        busForm.llenarComboConductor2(ConductorForm.getDrivers());
        busForm.setVisible(true);
    } 
    
    public void LlenarBus(){
        reservasForm.llenarComboBus(busForm.getBus());
        reservasForm.setVisible(true);
    }
    
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPasswordField1 = new javax.swing.JPasswordField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jMenuBar2 = new javax.swing.JMenuBar();
        jMenu4 = new javax.swing.JMenu();
        menuEmpresa = new javax.swing.JMenuItem();
        menuConductor = new javax.swing.JMenuItem();
        menuBus = new javax.swing.JMenuItem();
        menuPasajero = new javax.swing.JMenuItem();
        menuReservas = new javax.swing.JMenuItem();
        jMenu5 = new javax.swing.JMenu();

        jPasswordField1.setText("jPasswordField1");

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jLabel1.setFont(new java.awt.Font("Ubuntu", 0, 24)); // NOI18N
        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("Sistema");

        jLabel2.setFont(new java.awt.Font("Ubuntu", 0, 24)); // NOI18N
        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel2.setText("de Reservas");

        jMenu4.setText("File");

        menuEmpresa.setText("Empresa");
        menuEmpresa.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuEmpresaActionPerformed(evt);
            }
        });
        jMenu4.add(menuEmpresa);

        menuConductor.setText("Conductor");
        menuConductor.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuConductorActionPerformed(evt);
            }
        });
        jMenu4.add(menuConductor);

        menuBus.setText("Bus");
        menuBus.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuBusActionPerformed(evt);
            }
        });
        jMenu4.add(menuBus);

        menuPasajero.setText("Pasajero");
        menuPasajero.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuPasajeroActionPerformed(evt);
            }
        });
        jMenu4.add(menuPasajero);

        menuReservas.setText("Reservas");
        menuReservas.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuReservasActionPerformed(evt);
            }
        });
        jMenu4.add(menuReservas);

        jMenuBar2.add(jMenu4);

        jMenu5.setText("Edit");
        jMenuBar2.add(jMenu5);

        setJMenuBar(jMenuBar2);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(193, 193, 193)
                        .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 149, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(160, 160, 160)
                        .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 218, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(174, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(82, 82, 82)
                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 42, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(51, 51, 51)
                .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 52, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(168, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void menuEmpresaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuEmpresaActionPerformed
        
        EmpresaForm.getEnterprice();
        
        EmpresaForm.setVisible(true);
        
    }//GEN-LAST:event_menuEmpresaActionPerformed

    private void menuConductorActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuConductorActionPerformed
        
        ConductorForm.getDrivers();
        
        ConductorForm.setVisible(true);
    }//GEN-LAST:event_menuConductorActionPerformed

    private void menuPasajeroActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuPasajeroActionPerformed
        
        PasajeroForm.getPassengers();
        
        PasajeroForm.setVisible(true);
    }//GEN-LAST:event_menuPasajeroActionPerformed

    private void menuReservasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuReservasActionPerformed
        
//        LlenarConductores();
        LlenarPasajero();
        LlenarBus();
       
        
    }//GEN-LAST:event_menuReservasActionPerformed

    private void menuBusActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuBusActionPerformed
        // TODO add your handling code here:
        busForm.getBus();
        
        busForm.setVisible(true);
        LlenarConductores2();
    }//GEN-LAST:event_menuBusActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(SistemaReservas.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(SistemaReservas.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(SistemaReservas.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(SistemaReservas.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new SistemaReservas().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JMenu jMenu4;
    private javax.swing.JMenu jMenu5;
    private javax.swing.JMenuBar jMenuBar2;
    private javax.swing.JPasswordField jPasswordField1;
    private javax.swing.JMenuItem menuBus;
    private javax.swing.JMenuItem menuConductor;
    private javax.swing.JMenuItem menuEmpresa;
    private javax.swing.JMenuItem menuPasajero;
    private javax.swing.JMenuItem menuReservas;
    // End of variables declaration//GEN-END:variables
}
